Imports System
Imports System.Collections.Generic
Imports System.Text
Imports System.Windows.Forms

Public Class GetStyleLibrary

#Region "Private Members"

    Private islFileName As String = "IG.isl"
    Private Const DataRegistryKey As String = "Infragistics\NetAdvantage\Net\Full\WinForms\CLR2x\Version" & Infragistics.[Shared].AssemblyVersion.MajorMinor & "\WinDataDir"

#End Region

#Region "styleLibraryPath"
    '<summary>
    ' Path to the Style Library folder installed by the install.
    ' </summary>"
    Private Shared ReadOnly Property styleLibraryPath() As String
        Get
            Dim dataRegKey As Microsoft.Win32.RegistryKey = Microsoft.Win32.Registry.ClassesRoot.OpenSubKey(DataRegistryKey)
            Dim path As String = Nothing
            If (Not (dataRegKey) Is Nothing) Then
                path = (CType(dataRegKey.GetValue(Nothing), String) + "StyleLibrary")
                dataRegKey.Close()
            End If
            Return path
        End Get
    End Property
#End Region

#Region "Private Methods"

#Region "GetIsl"
    Public Function GetIsl() As String
        Return System.IO.Path.Combine(styleLibraryPath, islFileName)
    End Function

#End Region

#End Region

End Class





